Bug 445225 - conf file reload issues
conf file reload issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 11:46 EDT by Dean Mander
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:05:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Mander 2008-05-05 11:46:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
although NetworkManager is started,
I get next error when starting nm-applet (see actual results).

Didn't change any /etc/dbus setting or something.







Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.7.0-0.9.3.svn3623.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. install nm-applet
2. run it
3.

Actual Results:
$ nm-applet

** (nm-applet:3285): WARNING **: <WARN>  applet_dbus_manager_start_service(): Could not acquire the NetworkManagerUserSettings service.
  Message: 'Connection ":1.41" is not allowed to own the service "org.freedesktop.NetworkManagerUserSettings" due to security policies in the configuration file'


(nm-applet:3285): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

Expected Results:


Additional info:
Comment 1 Dean Mander 2008-05-10 08:15:45 EDT
anyone looking at this?
need more info?

Comment 2 Bug Zapper 2008-05-14 06:40:11 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dean Mander 2008-06-09 05:09:33 EDT
Removed the configuration,
then it's working again...



Comment 4 Dan Williams 2008-06-09 13:15:48 EDT
This sometimes crops up when you upgrade NM and dbus doesn't notice the change
in conf files correctly.  It takes a 'killall -HUP dbus-daemon' to fix (which
causes dbus to re-read the config files) and is a dbus issue really.  Moving to
dbus.

can sometimes be triggered with a 'make install' from the NM source tree too. 
Maybe a race condition in the inotify code that doesn't notice when the file is
completely written and reads it in too early, failing validation or something?
Comment 5 Dean Mander 2008-06-09 16:09:03 EDT
Well it happened when I moved from Fedora 8 to Fedora 9 Beta,
so probably due to the NM update, as you mention...
Comment 6 Bug Zapper 2009-06-09 20:37:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 10:05:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.